> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Postman

> How to set up the Postman connector, plus the actions and events that are available.

![Postman](https://stackone-logos.com/api/postman/filled/svg)

Previewv0.2.0[See changelog](https://docs.stackone.com/connectors/postman/changelog.md)

[153 actions](#actions) · [1 event](#events) · 1 auth method

Developer Tools
IAM

## Getting Started

**1. Create or Select a Project**

Set up a new project or select an existing one. See [Organizations & Projects](https://docs.stackone.com/gateway/concepts/organizations-and-projects.md).

**2. Configure the Connector**

Enable the connector and create a Connector Profile in your project. See [Setup Connector Profile](https://docs.stackone.com/gateway/quickstart.md#setup-connector-profile).

> [card] [API Key · Connector Profile](https://docs.stackone.com/connectors/postman/guides/connector-profile/api-key.md)
>
> No app registration required. The key has no scopes, carries the permissions of the Postman user who creates it, and rea...

Optionally, configure receiving Events for Postman into StackOne.

> [card] [Webhooks setup](https://docs.stackone.com/connectors/postman/guides/webhook-setup.md)

**3. Link an Account**

Link an account [from the dashboard](https://docs.stackone.com/connect/managing-connectors/linking-accounts.md#link-from-the-dashboard) (or via [StackOne Hub](https://docs.stackone.com/embed/account-linking/overview)).

See the guide for the authentication type chosen in the Connector Profile:

> [card] [API Key · Link Account](https://docs.stackone.com/connectors/postman/guides/link-account/api-key.md)

**4. Use Actions**

Connect an AI platform to the linked account's actions. See [AI Platforms](https://docs.stackone.com/connect/ai-platforms/overview.md).

Other ways to call actions are listed in [Protocols & SDKs](https://docs.stackone.com/connect/protocols-and-sdks.md).

## Actions

153 actions

ActionDescription

List Audit Log Event Actions`postman_list_audit_log_event_actions`

Gets a complete list of all available audit log event actions.

List Team Audit Logs`postman_list_audit_logs`

Gets a list of your team's generated audit events. For a complete list of all audit events, see Audit logs.

Merge Or Pull Changes Into A Collection Fork`postman_async_merge_pull_collection_fork`

Merges a forked (source) collection and its parent (destination) collection asynchronously.

Create A Fork`postman_create_collection_fork`

Creates a fork from an existing collection into a workspace.

Create A Pull Request`postman_create_collection_pull_request`

Creates a pull request for a forked collection into its parent collection.

Create A Collection`postman_create_collection`

Creates a collection using the Postman Collection v2.1.0 schema format.

Delete A Collection`postman_delete_collection`

Deletes a Postman collection by its ID, permanently removing its folders, requests and saved responses.

Duplicate A Collection`postman_duplicate_collection`

Creates a duplicate of the given collection in another workspace. Use the GET `/collection-duplicate-tasks/&#123;taskId&#125;` end...

List Collection's Forks`postman_list_collection_forks`

Gets a collection's forked collections. The response returns data for each fork, such as the fork's ID, the user who for...

List Collection's Pull Requests`postman_list_collection_pull_requests`

Gets information about a collection's pull requests, such as the source and destination IDs, status of the pull requests...

Get A Collection's Roles`postman_get_collection_roles`

Gets information about all roles in a collection. The response returns the IDs of all users, teams, and groups with acce...

Get A Collection`postman_get_collection`

Gets information about a collection. For a complete list of this endpoint's possible values, refer to the Postman Collec...

List Forked Collections`postman_list_collections_forked_by_user`

Gets a list of all the authenticated user's forked collections.

List Collections`postman_list_collections`

Gets all of your collections. The response includes all of your subscribed collections.

Get Source Collection's Status`postman_get_source_collection_status`

Checks whether there is a change between the forked collection and its parent (source) collection.

Update Part Of A Collection`postman_patch_collection`

Updates specific collection information, such as its name, events, or its variables.

Publish Documentation`postman_publish_documentation`

Publishes a collection's documentation. This makes it publicly available to anyone with the link to the documentation.

Pull Source Changes`postman_pull_collection_changes`

Pulls the changes from a parent (source) collection into the forked collection.

Replace A Collection's Data`postman_put_collection`

Replaces the contents of a collection using the Postman Collection v2.1.0 schema format.

Transfer Folders`postman_transfer_collection_folders`

Copies or moves folders into a collection or folder.

Transfer Requests`postman_transfer_collection_requests`

Copies or moves requests into a collection or folder.

Transfer Responses`postman_transfer_collection_responses`

Copies or moves responses into a request.

Unpublish Documentation`postman_unpublish_documentation`

Unpublishes a collection's documentation. On success, this returns an HTTP `204 No Content` response.

Update A Collection's Roles`postman_update_collection_roles`

Updates the roles of users, groups, or teams in a collection. On success, this returns an HTTP `204 No Content` response...

Create A Folder Comment`postman_create_folder_comment`

Creates a comment on a folder. To create a reply on an existing comment, include the `threadId` property in the request...

Delete A Folder's Comment`postman_delete_folder_comment`

Deletes a comment from a folder. On success, this returns an HTTP `204 No Content` response.

List Folder's Comments`postman_list_folder_comments`

Gets all comments left by users in a folder in Postman, returning the Postman API response unchanged.

Update A Folder's Comment`postman_update_folder_comment`

Updates a comment on a folder. Note: This endpoint accepts a max of 10,000 characters.

Create A Request Comment`postman_create_request_comment`

Creates a comment on a request. To create a reply on an existing comment, include the `threadId` property in the request...

Delete A Request's Comment`postman_delete_request_comment`

Deletes a comment from a request. On success, this returns an HTTP `204 No Content` response.

List Request's Comments`postman_list_request_comments`

Gets all comments left by users in a request.

Update A Request's Comment`postman_update_request_comment`

Updates a comment on a request. Note: This endpoint accepts a max of 10,000 characters.

Create A Response Comment`postman_create_response_comment`

Creates a comment on a response. To create a reply on an existing comment, include the `threadId` property in the reques...

Delete A Response's Comment`postman_delete_response_comment`

Deletes a comment from a response. On success, this returns an HTTP `204 No Content` response.

List Response's Comments`postman_list_response_comments`

Gets all comments left by users in a response.

Update A Response's Comment`postman_update_response_comment`

Updates a comment on a response. Note: This endpoint accepts a max of 10,000 characters.

Create A Collection Comment`postman_create_collection_comment`

Creates a comment on a collection. To create a reply on an existing comment, include the `threadId` property in the requ...

Delete A Collection's Comment`postman_delete_collection_comment`

Deletes a comment from a collection. On success, this returns an HTTP `204 No Content` response.

List Collection's Comments`postman_list_collection_comments`

Gets all comments left by users in a collection.

Update A Collection's Comment`postman_update_collection_comment`

Updates a comment on a collection. Note: This endpoint accepts a max of 10,000 characters.

Resolve A Comment Thread`postman_resolve_comment_thread`

Resolves a comment and any associated replies. On success, this returns an HTTP `204 No Content` response.

Create An Environment`postman_create_environment`

Creates an environment. Note: - The request body size cannot exceed the maximum allowed size of 30MB.

Delete An Environment`postman_delete_environment`

Deletes an environment in Postman, returning the Postman API response unchanged.

Create A Fork`postman_fork_environment`

Creates a fork of an existing environment in Postman, returning the Postman API response unchanged.

List Environment's Forks`postman_list_environment_forks`

Gets all of an environment's forked environments.

Get An Environment`postman_get_environment`

Gets information about an environment in Postman, returning the Postman API response unchanged.

List Environments`postman_list_environments`

Gets information about all of your environments.

Merge A Fork`postman_merge_environment_fork`

Merges a forked environment back into its parent environment.

Update An Environment`postman_patch_environment`

Updates specific environment properties, such as its name and variables.

Pull Source Changes`postman_pull_environment`

Pulls the changes from a parent (source) environment into the forked environment.

Replace An Environment's Data`postman_put_environment`

Replaces all the contents of an environment with the given information.

Create A Folder`postman_create_collection_folder`

Creates a folder in a collection. For a complete list of properties, refer to the Folder entry in the Postman Collection...

Delete A Folder`postman_delete_collection_folder`

Deletes a folder in a collection in Postman, returning the Postman API response unchanged.

Get A Folder`postman_get_collection_folder`

Gets information about a folder in a collection.

Update A Folder`postman_update_collection_folder`

Updates a folder in a collection. For a complete list of properties, refer to the Folder entry in the Postman Collection...

List Groups`postman_list_groups`

List the groups of the Postman team.

Get Group`postman_get_group`

Get one Postman group by ID.

Get Unified Credentials`postman_unified_get_me`

Get the current Postman connection's unified credentials and identity.

List Unified Groups`postman_unified_list_groups`

List unified groups in the Postman team.

Get Unified Group`postman_unified_get_group`

Get a unified Postman group by ID.

List Unified Users`postman_unified_list_users`

List unified users in the Postman team.

Get Unified User`postman_unified_get_user`

Get a unified Postman team user by ID.

Create A Mock Server`postman_create_mock`

Creates a mock server in a collection. Note: - You cannot create mocks for collections added to an API definition.

Delete A Mock Server`postman_delete_mock`

Deletes a mock server in Postman, returning the Postman API response unchanged.

List Mock Server's Call Logs`postman_list_mock_call_logs`

Gets a mock server's call logs. You can get a maximum of 6.5MB of call logs or a total of 100 call logs, whichever limit...

Get A Mock Server`postman_get_mock`

Gets information about a mock server in Postman, returning the Postman API response unchanged.

List Mock Servers`postman_list_mocks`

Gets all active mock servers. By default, this endpoint returns only mock servers you created across all workspaces.

Publish A Mock Server`postman_publish_mock`

Publishes a mock server. Publishing a mock server sets its Access Control configuration setting to public.

Unpublish A Mock Server`postman_unpublish_mock`

Unpublishes a mock server. Unpublishing a mock server sets its Access Control configuration setting to private.

Update A Mock Server`postman_update_mock`

Updates a mock server's properties, such as its name or collection.

Create A Monitor`postman_create_monitor`

Creates a monitor. Note: - You cannot create monitors for collections added to an API definition.

Delete A Monitor`postman_delete_monitor`

Deletes a monitor in Postman, returning the Postman API response unchanged.

Get A Monitor`postman_get_monitor`

Gets information about a monitor in Postman, returning the Postman API response unchanged.

List Monitors`postman_list_monitors`

Gets all monitors in Postman, returning the Postman API response unchanged.

Run A Monitor`postman_run_monitor`

Runs a monitor and returns its run results. Note: \* If you pass the `async=true` query parameter, the response does not...

Update A Monitor`postman_update_monitor`

Updates a monitor's configurations in Postman, returning the Postman API response unchanged.

Create A Request`postman_create_collection_request`

Creates a request in a collection. For a complete list of properties, refer to the Request entry in the Postman Collecti...

Delete A Request`postman_delete_collection_request`

Deletes a request in a collection in Postman, returning the Postman API response unchanged.

Get A Request`postman_get_collection_request`

Gets information about a request in a collection.

Update A Request`postman_update_collection_request`

Updates a request in a collection. For a complete list of properties, refer to the Request entry in the Postman Collecti...

Create A Response`postman_create_collection_response`

Creates a request response in a collection. For a complete list of request body properties, refer to the Response entry...

Delete A Response`postman_delete_collection_response`

Deletes a response in a collection in Postman, returning the Postman API response unchanged.

Get A Response`postman_get_collection_response`

Gets information about a response in a collection.

Update A Response`postman_update_collection_response`

Updates a response in a collection. For a complete list of properties, see the Postman Collection Format documentation.

Create A Server Response`postman_create_mock_server_response`

Creates a server response. Server responses let you simulate 5xx server-level responses, such as 500 or 503.

Delete A Server Response`postman_delete_mock_server_response`

Deletes a mock server's server response in Postman, returning the Postman API response unchanged.

Get A Server Response`postman_get_mock_server_response`

Gets information about a server response in Postman, returning the Postman API response unchanged.

List Server Responses`postman_list_mock_server_responses`

Gets all of a mock server's server responses.

Update A Server Response`postman_update_mock_server_response`

Updates a server response in Postman, returning the Postman API response unchanged.

Create A Spec File`postman_create_spec_file`

Creates a file for an OpenAPI or a protobuf 2 or 3 specification. Note: - If the file path contains a `/` (forward slash...

Create A Version Tag`postman_create_spec_version_tag`

Creates a version tag for a specification. Version tags are snapshots of a specification at a point in time that let you...

Create A Spec`postman_create_spec`

Creates an API specification in Postman's Spec Hub. Specifications can be single or multi-file.

Delete A Spec File`postman_delete_spec_file`

Deletes a file in an API specification. On success, this returns an HTTP `204 No Content` response.

Delete A Spec`postman_delete_spec`

Deletes an API specification. On success, this returns an HTTP `204 No Content` response.

Generate A Collection From Spec`postman_generate_collection`

Creates a collection from the given OpenAPI 2.0, 3.0, or 3.1 specification or Smithy specification.

Generate Spec From Collection`postman_generate_spec_from_collection`

Generates an OpenAPI 2.0, 3.0, or 3.1 specification for the given collection.

List Specs`postman_list_specs`

Gets all API specifications in a workspace in Postman, returning the Postman API response unchanged.

Get Generated Spec`postman_get_generated_collection_specs`

Gets the API specification generated for the given collection.

Get A Spec's Generated Collections`postman_get_spec_collections`

Gets all of an API specification's generated collections.

Get A Spec's Definition`postman_get_spec_definition`

Gets the complete contents of an OpenAPI or AsyncAPI specification's definition.

Get A Spec File`postman_get_spec_file`

Gets the contents of an API specification's file.

List Spec's Files`postman_list_spec_files`

Gets all the files in an API specification in Postman, returning the Postman API response unchanged.

Get A Version Tag`postman_get_spec_version_tag`

Gets information about a specification's version tag. The response returns a snapshot of a specification at a point in t...

List Specification's Version Tags`postman_list_spec_version_tags`

Gets a list of a specification's version tags.

Get A Spec`postman_get_spec`

Gets information about an API specification in Postman, returning the Postman API response unchanged.

Sync Collection With Spec`postman_sync_collection_with_spec`

Syncs a collection generated from an API specification. This is an asynchronous endpoint that returns an HTTP \`202 Accep...

Sync Spec With Collection`postman_sync_spec_with_collection`

Syncs an API specification linked to a collection. This is an asynchronous endpoint that returns an HTTP `202 Accepted`...

Update A Spec File`postman_update_spec_file`

Updates a file for an OpenAPI or protobuf 2 or 3 specification. Note: - This endpoint does not accept an empty request b...

Update A Spec's Properties`postman_update_spec_properties`

Updates an API specification's properties, such as its name.

Update Spec Sync Options`postman_update_spec_sync_options`

Updates the sync options for a specification's generated collection.

Get A Collection's Tags`postman_get_collection_tags`

Gets all the tags associated with a collection.

List Elements By Tag`postman_list_tagged_entities`

Gets Postman elements (entities) by a given tag. Tags enable you to organize and search workspaces, APIs, and collection...

Get A Workspace's Tags`postman_get_workspace_tags`

Gets all the tags associated with a workspace.

Update A Collection's Tags`postman_update_collection_tags`

Updates a collection's associated tags. This endpoint replaces all existing tags with those you pass in the request body...

Update A Workspace's Tags`postman_update_workspace_tags`

Updates a workspace's associated tags. This endpoint replaces all existing tags with those you pass in the request body.

Get Merge Or Pull Task Status`postman_async_merge_pull_collection_task_status`

Gets the status of a collection's merge or a pull changes task. Note: After a merge's success or failure, the task's sta...

Get Async Collection Update Status`postman_get_collection_updates_tasks`

Gets the status of an asynchronous collection update task.

Get Duplication Task Status`postman_get_duplicate_collection_task_status`

Gets the status of a collection duplication task.

Get Status Of An Async Spec Task`postman_get_async_spec_task_status`

Gets the status of an asynchronous API specification creation task.

List Teams`postman_list_teams`

List the Postman teams in the organization.

Get Team`postman_get_team`

Get one Postman team by ID.

Get Team Access Requests`postman_get_team_access_requests`

List the pending access requests of a Postman team.

Approve Or Deny An Access Request`postman_approve_deny_access_request`

Approve or deny a team's access request in Postman, returning the Postman API response unchanged.

Create An Access Request`postman_create_access_request`

Creates an access request for a team. Access requests include actions such as request to join a team, upgrading a user's...

Create A Team`postman_create_team`

Creates a Postman team in your organization in Postman, returning the Postman API response unchanged.

Get A Team's Settings`postman_get_team_settings`

Gets a team's settings in Postman, returning the Postman API response unchanged.

Manage Team Member Roles`postman_manage_team_member_roles`

Adds or removes member roles in groups, teams, organizations, as well as individual users' roles.

Remove Team Members`postman_remove_team_members`

Removes entities, such as users or organizations, from your Postman team.

Update Team Settings`postman_update_team_settings`

Updates a team's settings in Postman, returning the Postman API response unchanged.

Update A Team`postman_update_team`

Updates a Postman team's name in your organization. Note: You can only update the team's `name`.

Create A Workspace Update`postman_create_workspace_update`

Creates a workspace update in the given workspace. Workspace updates keep workspace watchers informed about changes, suc...

Delete A Workspace Update`postman_delete_workspace_update`

Deletes a workspace update. On success, this returns an HTTP `204 No Content` response.

Get A Workspace Update`postman_get_workspace_update`

Gets information about a workspace update in Postman, returning the Postman API response unchanged.

List Workspace Updates`postman_list_workspace_updates`

Gets a list of workspace updates for the given workspace.

Update A Workspace Update`postman_patch_workspace_update`

Updates a workspace update. Note: This endpoint requires the `application/merge-patch+json` Content-Type header.

Get Authenticated User`postman_get_authenticated_user`

Get the Postman user that owns the API key.

List Team Users`postman_list_team_users`

List the users of the Postman team.

Get Team User`postman_get_team_user`

Get one user of the Postman team by ID.

Create A Webhook`postman_create_webhook`

Creates a webhook that triggers a collection with a custom payload. You can get the webhook's URL from the `webhookUrl`...

Create A Workspace`postman_create_workspace`

Creates a new workspace. Note: - This endpoint returns a 403 `Forbidden` response if the user does not have permission t...

Delete A Workspace`postman_delete_workspace`

Deletes an existing workspace in Postman, returning the Postman API response unchanged.

List Roles`postman_list_all_workspace_roles`

Gets information about all roles in a workspace, based on the team's plan.

List Workspace's Activity Feed`postman_list_workspace_activity_feed`

Gets a workspace's activity feed. Activity feeds return information about who added or removed collections, environments...

Get Global Variables`postman_get_workspace_global_variables`

Gets a workspace's global variables. Global variables enable you to access data between collections, requests, scripts,...

Get A Workspace's Roles`postman_get_workspace_roles`

Gets the roles of users, user groups, and partners in a workspace. Note: Partner roles don't support SCIM IDs.

Get A Workspace`postman_get_workspace`

Gets information about a workspace. Note: This endpoint's response contains the `visibility` field.

List Workspaces`postman_list_workspaces`

Gets all workspaces. The response includes your workspaces and any workspaces that you have access to.

Manage Partner Workspace Invites`postman_manage_partner_workspace_invites`

Manages invitations and access to your team's Partner Workspaces. You can use this endpoint to: - Send Partner Workspace...

Transfer Element To A Workspace`postman_transfer_workspace_element`

Transfers a Postman element from one workspace to another workspace. Supported elements include collections, environment...

Transfer Workspace To A Team`postman_transfer_workspace_to_team`

Transfers a workspace from one team (`source`) to another team (`destination`).

Update Global Variables`postman_update_workspace_global_variables`

Updates and replaces a workspace's global variables. This endpoint replaces all existing global variables with the varia...

Update Workspace Roles`postman_update_workspace_roles`

Updates the roles of users, user groups, or partners in a workspace. To get a list of roles, use the GET \`/workspace-rol...

Update A Workspace`postman_update_workspace`

Updates a workspace's property, such as its name or visibility.

## Events

Tags

Select all
|
Clear

Monitors

Webhooks

No tags found

1 event

EventDescriptionTags

Monitor Run Completed`postman_webhook_monitor_run_completed`

Processes monitor run results sent by a Postman Post monitoring results webhook integration.

WebhooksMonitors


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.